#include "Dog.hpp"

#include <iostream>

Dog::Dog()
{
	this->type = "Dog";
	this->brain = new Brain();
	std::cout << "Dog()" << std::endl;
}

Dog& Dog::operator=(const Dog& src)
{
	this->type = src.type;
	return *this;
}

Dog::~Dog()
{
	delete this->brain;
	std::cout << "~Dog()" << std::endl;
}

Dog::Dog(const Dog& src): Animal()
{
	*this = src;
}

void Dog::makeSound() const
{
	std::cout << "Ouaf ouaf !" << std::endl;
}
